//
//  EditBtnNamesViewController.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 08.11.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import UIKit

class EditBtnNamesViewController: UIViewController {
    
    @IBOutlet weak var tfPS1: UITextField!
    @IBOutlet weak var tfPS2: UITextField!
    @IBOutlet weak var tfPS3: UITextField!
    @IBOutlet weak var tfPS4: UITextField!
    @IBOutlet weak var tfPS5: UITextField!
    @IBOutlet weak var tfPS6: UITextField!
    @IBOutlet weak var tfPS7: UITextField!
    
    private let file = "SavedButtonNames.txt"
    private var fileURL: URL? = nil
    
    @IBAction func btnSave(_ sender: Any) {
        saveButtonNames()
        
        NotificationCenter.default.post(name: RCNotification.ButtonNamesChanged, object: nil)
        print("Switch back to Main Controller...")
        self.presentingViewController?.dismiss(animated: true, completion: nil)
    }
    
    @IBAction func btnCancel(_ sender: Any) {
        print("Switch back to Main Controller...")
        self.presentingViewController?.dismiss(animated: true, completion: nil)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()

        if let dir = FileManager.default.urls(for: .documentDirectory, in: .userDomainMask).first {
            fileURL = dir.appendingPathComponent(file)
        }
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(false)
        
        tfPS1.text = readButtonNames().n1
        tfPS2.text = readButtonNames().n2
        tfPS3.text = readButtonNames().n3
        tfPS4.text = readButtonNames().n4
        tfPS5.text = readButtonNames().n5
        tfPS6.text = readButtonNames().n6
        tfPS7.text = readButtonNames().n7
    }
    
    func saveButtonNames() {
        var text = ""
        text += tfPS1.text! + ";"
        text += tfPS2.text! + ";"
        text += tfPS3.text! + ";"
        text += tfPS4.text! + ";"
        text += tfPS5.text! + ";"
        text += tfPS6.text! + ";"
        text += tfPS7.text! + ";"
        
        print(text)
        
        do {
            try text.write(to: fileURL!, atomically: false, encoding: .utf8)
        } catch {
            print("Error with writing radio States")
        }
    }
    
    func readButtonNames() -> (n1: String?, n2: String?, n3: String?, n4: String?, n5: String?, n6: String?, n7: String?) {
        var text = ""
        do {
            text = try String(contentsOf: fileURL!, encoding: .utf8)
        } catch {
            print("Error with reading Radio States")
        }
        if text == "" {
            return ("Power Socket", "Power Socket", "Power Socket", "Power Socket", "Power Socket", "Power Socket", "Power Socket")
        } else {
            let allNames = text.components(separatedBy: ";")
            return (allNames[0], allNames[1], allNames[2], allNames[3], allNames[4], allNames[5], allNames[6])
        }
    }
    
    

}
