//
//  CollectionViewDataModel.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 11.10.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import UIKit

protocol CollectionViewDataModelDelegate: class {
    func didReceiveDataUpdate(data: [CollectionViewDataModelItem])
    func didFailDataUpdateWithError(error: Error)
}

class CollectionViewDataModel: NSObject {
    weak var delegate: CollectionViewDataModelDelegate?
    
    func requestData() {
        let data: [AnyObject]? = nil
        let error : Error? = nil
        
        if let error = error {
            delegate?.didFailDataUpdateWithError(error: error)
        } else if let data = data {
            setDataWithResponse(response: data)
        }
    }
    
    private func handleError(error: Error) {
        
    }
    
    private func setDataWithResponse(response: [AnyObject]) {
        var data = [CollectionViewDataModelItem]()
        for item in response {
            if let collectionViewDataModelItem = CollectionViewDataModelItem(data: item as? [String: String]) {
                data.append(collectionViewDataModelItem)
            }
        }
        delegate?.didReceiveDataUpdate(data: data)
    }
    
}
