//
//  TableViewCell.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 03.09.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import UIKit

class TableViewCell: UITableViewCell {

    class var identifier : String {return String(describing: self) }
    class var nib: UINib { return UINib(nibName: identifier, bundle: nil)}
    
    @IBOutlet weak var lblDeviceName: UILabel!
    @IBOutlet weak var lblDeviceAddress: UILabel!
    @IBOutlet weak var lblDeviceRSSI: UILabel!
    var dataModelItem : TableViewDataModelItem!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    func configureWithItem(item: TableViewDataModelItem) {
        lblDeviceName?.text = item.deviceName
        lblDeviceAddress?.text = item.deviceAddress
        lblDeviceRSSI?.text = item.deviceRSSI
        self.dataModelItem = item
    }
    
    func getTableViewDataModelItem() -> TableViewDataModelItem {
        return self.dataModelItem
    }

}
