//
//  TableViewDataModel.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 03.09.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import UIKit

protocol TableViewDataModelDelegate: class {
    func didReceiveDataUpdate(data: [TableViewDataModelItem])
    func didFailDataUpdateWithError(error: Error)
}

class TableViewDataModel: NSObject {
    weak var delegate : TableViewDataModelDelegate?
    
    func requestData() {
        let data: [AnyObject]? = nil
        let error : Error? = nil
        
        if let error = error {
            delegate?.didFailDataUpdateWithError(error: error)
        } else if let data = data {
            setDataWithResponse(response: data)
        }
    }
    
    private func handleError(error: Error) {
        
    }
    
    private func setDataWithResponse(response: [AnyObject]) {
        var data = [TableViewDataModelItem]()
        for item in response {
            if let tableViewDataModelItem = TableViewDataModelItem(data: item as? [String: String]) {
                data.append(tableViewDataModelItem)
            }
        }
        delegate?.didReceiveDataUpdate(data: data)
    }
}
