//
//  nRF52UUID.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 04.09.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import CoreBluetooth

struct nRFPatternConst {
    static let nRF_PATTERN: String! = "0000*-0000-1000-8000-00805f9b34fb"
}

protocol nRF52UUID {
    static func fromString(id: String) -> CBUUID
}

extension nRF52UUID {
    static func fromString(id: String) -> CBUUID {
        return CBUUID.init(string: nRFPatternConst.nRF_PATTERN.replacingOccurrences(of: "*", with: id))
    }
}
